Retrieve teamspace
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"cloud_provider": "aws",
"name": "<string>",
"access": "open",
"created_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspaces
Retrieve teamspace
Retrieve a specific teamspace by ID.
GET
/
organization
/
teamspaces
/
{teamspace_id}
Retrieve teamspace
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"cloud_provider": "aws",
"name": "<string>",
"access": "open",
"created_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Response
Successfully retrieved teamspace